NX Open C++ Reference Guide
|
This is the feature builder for the convert to sheetmetal feature. More...
Public Types | |
enum | BendReliefTypeOptions { BendReliefTypeOptionsNone, BendReliefTypeOptionsSquare, BendReliefTypeOptionsRound } |
This enum represents the bend relief type. More... | |
Public Member Functions | |
NXOpen::Face * | BaseFace () |
Returns the base face from which the thickness of the part is determined. | |
NXOpen::Expression * | BendReliefDepth () |
Returns the bend relief depth. | |
NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions | BendReliefType () |
Returns the bend relief type. | |
NXOpen::Expression * | BendReliefWidth () |
Returns the bend relief width. | |
std::vector< NXOpen::Edge * > | GetRipEdges () |
Gets the array of edges selected for ripping while converting to sheetmetal. | |
bool | MaintainZeroBendRadius () |
Returns the option for Maintain zero bend radius. | |
NXOpen::Section * | RipSection () |
Returns the section containing curves that need to be ripped while converting to sheetmetal. | |
void | SetBaseFace (NXOpen::Face *baseFace) |
Sets the base face from which the thickness of the part is determined. | |
void | SetBendReliefDepth (const NXString &bendReliefDepth) |
Created in NX4.0.0. | |
void | SetBendReliefDepth (const char *bendReliefDepth) |
Created in NX4.0.0. | |
void | SetBendReliefType (NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions bendReliefType) |
Sets the bend relief type. | |
void | SetBendReliefWidth (const NXString &bendReliefWidth) |
Created in NX4.0.0. | |
void | SetBendReliefWidth (const char *bendReliefWidth) |
Created in NX4.0.0. | |
void | SetMaintainZeroBendRadius (bool maintainZeroBendRadius) |
Sets the option for Maintain zero bend radius. | |
void | SetRipEdges (const std::vector< NXOpen::Edge * > &ripEdges) |
Sets the array of edges that need to be ripped while converting to sheetmetal. | |
void | SetRipSection (NXOpen::Section *section) |
Sets the section containing curves that need to be ripped while converting to sheetmetal. | |
void | SetSketch (NXOpen::Features::SketchFeature *sketch) |
Sets the internal sketch (used to specify rip curves), if it exists. | |
NXOpen::Features::SketchFeature * | Sketch () |
Returns the internal sketch (used to specify rip curves), if it exists. | |
int | ValidateBuilderData () |
Verify that the builder data is valid for feature creation. | |
![]() | |
NXOpen::Features::SheetMetal::ApplicationContext | GetApplicationContext () |
Get the application context. | |
void | SetApplicationContext (NXOpen::Features::SheetMetal::ApplicationContext appContext) |
Set the application context. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
This is the feature builder for the convert to sheetmetal feature.
To create a new instance of this class, use Features::SheetMetal::SheetmetalManager::CreateConvertToSheetmetalFeatureBuilder
Created in NX4.0.0.
NXOpen::Face* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BaseFace | ( | ) |
Returns the base face from which the thickness of the part is determined.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
NXOpen::Expression* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefDepth | ( | ) |
Returns the bend relief depth.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefType | ( | ) |
Returns the bend relief type.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
NXOpen::Expression* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefWidth | ( | ) |
Returns the bend relief width.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
std::vector<NXOpen::Edge *> NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::GetRipEdges | ( | ) |
Gets the array of edges selected for ripping while converting to sheetmetal.
@return
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
bool NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::MaintainZeroBendRadius | ( | ) |
Returns the option for Maintain zero bend radius.
If the option is set to true, a tiny 0.02 mm radius bend will be created on inside sharp edge (for the features created in NX8 or later releases); else the radius value from NXSM Preferences will be used.
Created in NX8.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
NXOpen::Section* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::RipSection | ( | ) |
Returns the section containing curves that need to be ripped while converting to sheetmetal.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBaseFace | ( | NXOpen::Face * | baseFace | ) |
Sets the base face from which the thickness of the part is determined.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
baseFace | base face |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefDepth | ( | const NXString & | bendReliefDepth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
bendReliefDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefDepth | ( | const char * | bendReliefDepth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
bendReliefDepth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefType | ( | NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::BendReliefTypeOptions | bendReliefType | ) |
Sets the bend relief type.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
bendReliefType | bend relief type |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefWidth | ( | const NXString & | bendReliefWidth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
bendReliefWidth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetBendReliefWidth | ( | const char * | bendReliefWidth | ) |
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
bendReliefWidth | NOTE: The full Unicode character set is not supported for this parameter. |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetMaintainZeroBendRadius | ( | bool | maintainZeroBendRadius | ) |
Sets the option for Maintain zero bend radius.
If the option is set to true, a tiny 0.02 mm radius bend will be created on inside sharp edge (for the features created in NX8 or later releases); else the radius value from NXSM Preferences will be used.
Created in NX8.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB")
maintainZeroBendRadius | maintain zero bend radius |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetRipEdges | ( | const std::vector< NXOpen::Edge * > & | ripEdges | ) |
Sets the array of edges that need to be ripped while converting to sheetmetal.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
ripEdges | rip edges |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetRipSection | ( | NXOpen::Section * | section | ) |
Sets the section containing curves that need to be ripped while converting to sheetmetal.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
section | section |
void NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::SetSketch | ( | NXOpen::Features::SketchFeature * | sketch | ) |
Sets the internal sketch (used to specify rip curves), if it exists.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
sketch | sketch |
NXOpen::Features::SketchFeature* NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::Sketch | ( | ) |
Returns the internal sketch (used to specify rip curves), if it exists.
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")
int NXOpen::Features::SheetMetal::ConvertToSheetmetalBuilder::ValidateBuilderData | ( | ) |
Verify that the builder data is valid for feature creation.
<br> If the builder data is valid, it returns a value of 0. <br> @return data validity flag (0 - valid, 1 - invalid)
Created in NX4.0.0.
License requirements : nx_sheet_metal ("NX Sheet Metal") OR nx_flexible_pcb ("NX Flexible PCB") OR nx_ship_detail ("Ship Detail Design")